## DeleteWarmPool **post** `/gitpod.v1.PrebuildService/DeleteWarmPool` Deletes a warm pool. Deletion is processed asynchronously. The pool is marked for deletion and the runner drains instances in the background. Warm pools are also automatically deleted when prebuilds are disabled on the project or the environment class is removed from the prebuild configuration. ### Examples - Delete warm pool: ```yaml warmPoolId: "a1b2c3d4-5678-9abc-def0-1234567890ab" ``` ### Body Parameters - `warmPoolId: string` warm_pool_id specifies the warm pool to delete ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.PrebuildService/DeleteWarmPool \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "warmPoolId": "a1b2c3d4-5678-9abc-def0-1234567890ab" }' ``` #### Response ```json {} ```